<?php
// $Id$

/**
 * @file
 * This is a Drupal 7.x Module 
 * SearchAPI + VBO integration
 */


/**
 * Implements hook_views_data_alter().
 */
function search_api_vbo_views_data_alter(&$data) {	
  // Get search_api_index entity type definition
  $search_api_index_entity_info = entity_get_info('search_api_index');
  if (!is_null($search_api_index_entity_info)) {
	  // Load all SearchAPI indexes
	  $indexes = search_api_index_load_multiple(FALSE);
	  // Loop through each SearchAPI index to add views_bulk_operations field into its views definition 
	  foreach ($indexes as $index_machine_name => $index) {
	  	// Check if this index has views definition
	  	$index_views_key = 'search_api_index_' . $index_machine_name;
	  	if (isset($data[$index_views_key])) {
	  		// Add views_bulk_operations field into this index's views definition!
		    $data[$index_views_key]['views_bulk_operations'] = array(
		      'title' => t('Bulk operations'),
		      'help' => t('Provide a checkbox to select the row for bulk operations.'),
		      'real field' => $search_api_index_entity_info['entity keys']['id'],
		      'field' => array(
		        'handler' => 'search_api_vbo_handler_field_search_api_vbo',
		      	'click sortable' => FALSE,
		      	//'search_api_item_id_field' => 'search_api_item_id',
		      ),
		    );
	  	}
	  }
  }
}
